<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net10.0-android</TargetFramework>
    <SupportedOSPlatformVersion>24</SupportedOSPlatformVersion>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <!--
      Enable trim analyzers for Android class libraries.
      To learn more, see: https://learn.microsoft.com/dotnet/core/deploying/trimming/prepare-libraries-for-trimming
    -->
    <IsTrimmable>true</IsTrimmable>
    <!--
      NOTE: you can simply add .aar or .jar files in this directory to be included in the project.
      To learn more, see: https://learn.microsoft.com/dotnet/maui/migration/android-binding-projects
    -->
  </PropertyGroup>

  <ItemGroup>
    <AndroidLibrary Include="libs\DataCollection.aar" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Xamarin.AndroidX.Annotation" Version="1.9.1.6" />
    <PackageReference Include="Xamarin.AndroidX.Core" Version="1.17.0.1" />
    <PackageReference Include="Xamarin.Kotlin.StdLib" Version="2.3.0.1" />
  </ItemGroup>
</Project>